Page MenuHomePhabricator

Build user interface for adding article to a collection
Closed, ResolvedPublic5 Story Points

Description

As a user I want a way to add a page to a specific collection.

Design

    1. User taps save icon
    2. Bottom sheet appears. Title "Save to collection". Create a new collection is the first option. Existing collections appear below sorted by most recently modified.
    3. When a user creates a new collection, they enter a modal. Field for title appears first. Thumbnail and title of article appear below.
    4. User is taken out of modal back to article. Snackbar appears with action to view collection. This would take them directly to collection page.

    See also: Prompt for saving T117000

    Details

    Related Gerrit Patches:
    apps/android/wikipedia : masterUser experience for Reading Lists, part 1.

    Event Timeline

    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2016, 12:11 AM

    Change 278226 had a related patch set uploaded (by Dbrant):
    [WIP] User experience for Reading Lists, part 1.

    https://gerrit.wikimedia.org/r/278226

    Dbrant claimed this task.Mar 25 2016, 2:15 PM
    Dbrant set the point value for this task to 5.
    Dbrant closed this task as Resolved.Mar 28 2016, 4:28 PM

    Change 278226 merged by jenkins-bot:
    User experience for Reading Lists, part 1.

    https://gerrit.wikimedia.org/r/278226

    This comment was removed by Aklapper.